libespeak-dev_1.48.04+dfsg-5+b1_i386.deb


Advertisement

Description

libespeak-dev - Multi-lingual software speech synthesizer: development files

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libespeak-dev_1.48.04+dfsg-5+b1_i386.deb
Package name libespeak-dev
Package version 1.48.04+dfsg
Package release 5+b1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://espeak.sourceforge.net/
License -
Maintainer Debian Accessibility Team <debian-accessibility@lists.debian.org>
Download size 188.88 KB
Installed size 525.00 KB
eSpeak is a software speech synthesizer for English, and some other
languages.
This package contains the eSpeak development files needed to
build against the espeak shared library.

Alternatives

Package Version Architecture Repository
libespeak-dev_1.48.04+dfsg-5+b1_amd64.deb 1.48.04+dfsg amd64 Debian Main
libespeak-dev - - -

Requires

Name Value
libespeak1 = 1.48.04+dfsg-5+b1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libespeak-dev_1.48.04+dfsg-5+b1_i386.deb
Source Package espeak

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libespeak-dev deb package:
    # sudo apt-get install libespeak-dev

Files

Path
/usr/include/espeak/speak_lib.h
/usr/lib/i386-linux-gnu/libespeak.a
/usr/lib/i386-linux-gnu/libespeak.so
/usr/share/doc/libespeak-dev/changelog.Debian.gz
/usr/share/doc/libespeak-dev/changelog.Debian.i386.gz
/usr/share/doc/libespeak-dev/changelog.gz
/usr/share/doc/libespeak-dev/copyright

Changelog

2016-09-04 - Samuel Thibault <sthibault@debian.org>
espeak (1.48.04+dfsg-5) unstable; urgency=medium
[ Helmut Grohne ]
* Fix FTCBFS: (Closes: #836690)
+ Pass triplet-prefixed CXX to make
2016-09-04 - Samuel Thibault <sthibault@debian.org>
espeak (1.48.04+dfsg-4) unstable; urgency=medium
* patches/path: Drop looking for voices in /usr/share/mbrola/voices: our
Debian packages never put voices there, and letting espeak look there
would show a warning to the user that suggests that voices should be put
there, which is not the case in Debian.
2016-05-22 - Samuel Thibault <sthibault@debian.org>
espeak (1.48.04+dfsg-3) unstable; urgency=medium
* patches/char_cast: New patch, fixes build with g++-6 (Closes: Bug#811772).
* rules: Set ddeb-migration.
* control: Depend on debhelper 9.20150628 for ddeb-migration.
* control: Bump Standards-Version to 3.9.8 (no change).
2015-12-22 - Samuel Thibault <sthibault@debian.org>
espeak (1.48.04+dfsg-2) unstable; urgency=medium
* watch: Generalize URL.
* Bump Standards-Version to 3.9.6 (no changes).
* espeak.1: Update, thus adding -g and -z documentation. Closes: Bug#788190.
* patches/fpic: Patch from upstream to fix sparc64 build.
* compat: Bump to 9.
* rules: Use dh.
* control: Drop hardening-wrapper build-depend.
2014-07-11 - Samuel Thibault <sthibault@debian.org>
espeak (1.48.04+dfsg-1) unstable; urgency=medium
* Rebuild upstream tarball without windows platform files.
* watch: Mangle version for +dfsg.
* copyright: Add portaudio and sonic licences. Closes: Bug#747214.
* Remove libespeak1-udeb, we will continue linking espeakup statically.
Closes: Bug#747240.
2014-05-01 - Samuel Thibault <sthibault@debian.org>
espeak (1.48.04-1) unstable; urgency=medium
* New upstream release
* copyright: Update.
* patches/utf-8-init: Refresh.
* rules: Fix privacy-breach-logo.
2014-02-24 - Samuel Thibault <sthibault@debian.org>
espeak (1.47.11-2) unstable; urgency=medium
* Add libespeak1-udeb shared library for the installer, so it can be
upgraded at the same time as libespeak-data.
* libespeak1.shlibs: Remove file, replaced by dh_makeshlibs call.
* Remove pulse-trigger-on-final-chunk, it actually does not have effect.
* Bump Standards-Version to 3.9.5 (no changes).
2013-06-19 - Samuel Thibault <sthibault@debian.org>
espeak (1.47.11-1) unstable; urgency=low
* New upstream release
* debian/rules: Use phondata-manifest in the espeak-data directory
* Updated espeak manpage
* Updated copyright
[ Jason White ]
* Pass compiler flags on make command line so they won't be ignored.
(Closes: #707925)
* Rebuild object files with AUDIO=runtime after building static library
without it. (Closes: #707912)
[ Samuel Thibault ]
* Add utf-8-init patch to fix initialization of utf-8 locale for proper
character properties detection.
* Add pulse-trigger-on-final-chunk patch to flush the pulse output.
2012-06-08 - Samuel Thibault <sthibault@debian.org>
espeak (1.46.02-2) unstable; urgency=low
* debian/rules: Move espeak-data to /usr/lib/$multiarch/espeak-data to
permit...
* debian/control: ... make espeak-data multiarch: same.
* control:
- Bump Standards-Version to 3.9.3 (no changes).
- Do not make espeak-data recommend espeak (Closes: Bug#674851).
2012-01-08 - Luke Yelavich <themuso@ubuntu.com>
espeak (1.46.02-1) unstable; urgency=low
[ Luke Yelavich ]
* Update the explanation of the -b command-line flag in the espeak manpage
* New upstream release
* debian/control: Add libpulse-dev as a build dependency
* debian/rules:
- Build espeak with AUDIO=runtime
- Reinstate parsing the changelog for the soname version, and extend the
command to only extract the major version of the soname
* debian/patches/leak: Dropped, applied upstream
* Build for multi-arch
* Fix some lintian warnings
[ Samuel Thibault ]
* control: Depend on hardening-check.
* rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

See Also

Package Description
libespeak-ng-dev_1.49.0+dfsg-11_i386.deb Multi-lingual software speech synthesizer: development files
libespeak-ng-libespeak-dev_1.49.0+dfsg-11_i386.deb Multi-lingual software speech synthesizer: development files
libespeak-ng-libespeak1_1.49.0+dfsg-11_i386.deb Multi-lingual software speech synthesizer: shared library
libespeak-ng1_1.49.0+dfsg-11_i386.deb Multi-lingual software speech synthesizer: shared library
libespeak1_1.48.04+dfsg-5+b1_i386.deb Multi-lingual software speech synthesizer: shared library
libestools-dev_2.4~release-5+b3_i386.deb Edinburgh Speech Tools Library - developer's libraries
libestools2.4_2.4~release-5+b3_i386.deb Edinburgh Speech Tools Library
libestr-dev_0.1.10-2_i386.deb helper functions for handling strings (headers)
libestr0_0.1.10-2_i386.deb Helper functions for handling strings (lib)
libestraier-dev_1.4.13-14+b5_i386.deb full-text search system Libraries [development]
libestraier-java_1.4.13-14+b5_i386.deb Hyper Estraier Node API Libraries for Java
libestraier-perl_1.4.13-14+b5_i386.deb Hyper Estraier node API Libraries for Perl
libestraier8_1.4.13-14+b5_i386.deb full-text search system Libraries [runtime]
libestring-ocaml-dev_20130822-5+b1_i386.deb Estring: OCaml development platform (development)
libestring-ocaml_20130822-5+b1_i386.deb Estring: OCaml development platform (runtime)
Advertisement
Advertisement